Subject: More on Mitchell Brothers in SF CAlif
Date: 15 Jul 1996 04:04:04 -0600

Hi,

My last post was done in the office with IRL at CP in SF CAlif.

It was so dark in there I could not find the 'Shift' key so 
most of it was in lower case.

To continue on with my rant...

1 thing that pisses me off about my lap dance with Miss LowMileage is
that business was really slow.

When she gave me the $10 30 second lap dance, the place was almost dead.

Many of the dancers were just standing around due to a lack of customers.

If she gave me a $10 30 second lap dance on a cram packed Friday night,
it might make more sense.  

Then it might be considered a polite way of saying, "This place is full of
paying customers dud; you want a decent lap dance you will need to 
splurge a $20."

Oh well, lesson learned.  Bob will stay away from Ashley from now on.

Why do I keep going back to MBT?

-I have established a rapport with some of the women there.
-I'm kind of anonymous which I like.
-The place has more variety than any club I've been to.
-They let me bring in a coffee (I tried that once at CP; a big no-no;
 I guess they want me to drink their shitty coffee).
-The high admission price keeps out most of my friends and their prying eyes.
-The high admission price keeps out rif-raf; I've never had a serious problem
 with an mbt customer
 (a few minor problems though like "dont touch me there dud").
-MBT is the ONLY place I know of where I can watch porno on "the BIG screen"
 and have a drop-dead-gorgeous woman on my lap.

Also it dawned on me a while back that I like the management there.
They are kind of like a good waiter.  They are around, but not in your face.
They keep the place cleaner than any club I've been to.  They want feedback
so they put out a suggestion box (next to the free rubbers!).
They are fairly polite & lucid (certainly not sachrine sweet).
If the movie is not tracking or if someone barfed in the bathroom, they
fix it.  

One pleasant episode comes to mind.  I gave the ticket taker an expired $5 off
coupon and said, "I'm probably pressing my luck, but can I use this?".
His reply, "If you carried it around this long, sure why not?".

Enough about mbt.

I really cant think of anything funny to say tonight.
My vacation in the mountains must have made me dull or something.

I did think Saxbeat's post about the giant vaginas was ... artistic.

-Bob "been there, done that, got the T-shirt" Smyth